POST
/api/v4/locations/oauth-disconnect사업장의 Apple Business Connect 해제
사업장 1개의 소유자 Apple Business 계정 연결을 제거합니다. 사업장은 Apple Maps에 유지되며 ListingsAPI 계정을 통해 게시됩니다.
매개변수
본문
| 이름 | 유형 | 필수 | 설명 |
|---|---|---|---|
| input | object | 필수 | Wrapper object. The entire request body must be nested under `input`. |
| input.locationId | string | 필수 | Base64-encoded Relay ID of the one location to disconnect. |
| input.site | string | 필수 | Set to `APPLE`. |
요청 예시
바로 붙여 넣을 수 있는 본문입니다. 예시 ID와 값을 실제 값으로 바꾸세요.
{ "input": { "locationId": "TG9jYXRpb246MTgwMDI4OQ==", "site": "APPLE" }}응답
200Connection removed. Response key `disconnectConnectedAccountsLocations`.
{ "data": { "disconnectConnectedAccountsLocations": { "clientMutationId": null, "success": true, "errors": null } }}401Unauthenticated, missing or invalid API key.
403The key is valid but not permitted to disconnect this location (`SY90003`).
고객이 서비스 이용을 종료하면서 자신의 Apple Business 계정도 함께 가져가는 경우에 사용합니다. 사업장은 이 계정에 그대로 남고 Apple Maps에도 계속 표시되며, 이후 업데이트는 ListingsAPI Apple Business Connect 계정을 통해 게시되고 Apple이 제출 내용을 검증한 후 게시합니다. 해당 사업장의 다른 게시 플랫폼 연결에는 영향을 주지 않습니다.
활성 Apple 연결이 없는 사업장은 SY10057을 반환하므로, success: true는 연결이 제거되었음을 의미합니다. 이 호출은 사업장 1개를 처리하므로 여러 사업장의 연결을 해제하려면 반복 호출합니다.
소유자의 계정을 통해 다시 게시하려면 사업장을 Apple Business Connect에 연결에서 새 링크를 생성하여 소유자에게 보냅니다.
이 페이지는 게시 플랫폼에서 사업장 1개의 연결 해제의 site: "APPLE" 사례를 설명합니다.
이 엔드포인트는 실제 연결을 변경합니다. 위의 샘플 요청과 응답은 예시입니다.
Request
curl -X POST 'https://listingsapi.com/api/v4/locations/oauth-disconnect' \ -H "Authorization: API $LISTINGSAPI_KEY" \ -H 'Content-Type: application/json' \ -d '{ "input": { "locationId": "TG9jYXRpb246MTgwMDI4OQ==", "site": "APPLE" } }'